> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/additional-attributes/attribute-field-display-conditions.md).

# AttributeFieldDisplayConditions

## Introduction

`AttributeFieldDisplayConditions` attach conditional visibility logic to attribute fields.

## \[Adm.] Create

Create a new display condition.

**Definition**

<mark style="color:yellow;">`POST`</mark> `/api/administration/additional-attributes/fields/display-conditions`

**Request Keys**

| Key                 | Type   | Default | Description                                            |
| ------------------- | ------ | ------- | ------------------------------------------------------ |
| `attachable_type`\* | string | -       | Morph alias of the attachable entity. Use `formField`. |
| `attachable_id`\*   | string | -       | ID of the attachable field entity.                     |

Keys with `*` are required.

**Example Request**

{% tabs %}
{% tab title="PHP" %}

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('POST', '/api/administration/additional-attributes/fields/display-conditions', [
    'headers' => ['Authorization' => "Bearer {accessToken}"],
    'json' => [
        'attachable_type' => 'formField',
        'attachable_id' => 27
    ]
]);
```

{% endtab %}
{% endtabs %}

**Example Response**

```json
{
  "status": "success",
  "data": {
    "id": 91,
    "attachable_type": "formField",
    "attachable_id": "27",
    "created_at": "2026-05-06 10:00:00",
    "updated_at": "2026-05-06 10:00:00",
    "deleted_at": null
  }
}
```

## \[Adm.] Update

Update an existing display condition.

**Definition**

<mark style="color:blue;">`PUT`</mark> `/api/administration/additional-attributes/fields/display-conditions/{formFieldDisplayCondition}`

**Request Keys**

| Key               | Type   | Default | Description                       |
| ----------------- | ------ | ------- | --------------------------------- |
| `attachable_type` | string | -       | Morph alias of attachable entity. |
| `attachable_id`   | string | -       | ID of attachable field entity.    |

**Example Request**

{% tabs %}
{% tab title="PHP" %}

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('PUT', '/api/administration/additional-attributes/fields/display-conditions/91', [
    'headers' => ['Authorization' => "Bearer {accessToken}"],
    'json' => [
        'attachable_type' => 'formField',
        'attachable_id' => 28
    ]
]);
```

{% endtab %}
{% endtabs %}

**Example Response**

```json
{
  "status": "success",
  "data": {
    "id": 91,
    "attachable_type": "formField",
    "attachable_id": "28",
    "created_at": "2026-05-06 10:00:00",
    "updated_at": "2026-05-06 10:05:00",
    "deleted_at": null
  }
}
```

## \[Adm.] Delete

Delete an existing display condition.

**Definition**

<mark style="color:red;">`DELETE`</mark> `/api/administration/additional-attributes/fields/display-conditions/{formFieldDisplayCondition}`

**Request Keys**

No additional request keys.

**Example Request**

{% tabs %}
{% tab title="PHP" %}

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('DELETE', '/api/administration/additional-attributes/fields/display-conditions/91', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);
```

{% endtab %}
{% endtabs %}

**Example Response**

```json
{
  "status": "success",
  "data": null
}
```

## Related resources

* [AttributeFields](/api-reference/additional-attributes/attribute-fields.md)
* [AttributeFieldValidations](/api-reference/additional-attributes/attribute-field-validations.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/additional-attributes/attribute-field-display-conditions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
